Vraag & Antwoord

OS Linux

[SuSE 8.0] Mozilla

Anoniem
None
19 antwoorden
  • Nadat ik van jullie enthousiaste verhalen hoorde over Mozilla wilde ik ook es de versie 1.0 proberen maar ik krijg de RPM niet geïnstalleerd :(
    Ik krijg deze foutmelding:
    [quote:710a20f777]rpm -U –replacepkgs //home/marcel/mozilla-1.0.0-9.i386.rpm;echo RESULT=$?
    error: failed dependencies:
    mozilla-nspr = 1.0.0-9 is needed by mozilla-1.0.0-9
    libnspr4.so is needed by mozilla-1.0.0-9
    libplc4.so is needed by mozilla-1.0.0-9
    libplds4.so is needed by mozilla-1.0.0-9
    mozilla = 0.9.8 is needed by galeon-1.0.3-77
    mozilla = 0.9.8 is needed by nautilus-1.0.6-144
    libnspr4.so is needed by galeon-1.0.3-77
    libnspr4.so is needed by nautilus-1.0.6-144
    libplc4.so is needed by galeon-1.0.3-77
    libplc4.so is needed by nautilus-1.0.6-144
    libplds4.so is needed by galeon-1.0.3-77
    libplds4.so is needed by nautilus-1.0.6-144
    RESULT=1[/quote:710a20f777]

    Weet iemand wat te doen?
  • [quote:3c2f8da905]mozilla-nspr = 1.0.0-9 is needed by mozilla-1.0.0-9[/quote:3c2f8da905]
    Installeer die RPM eerst.
    Verder hebben Galeon en Nautilus bepaalde RPMs nodig die je nu wilt vervangen.
    Je kunt met –nodeps proberen of eerst Galeon en Nautilus updaten.
  • Download deze vanop usr.local.bin.org

    je moet dan ook Galeon updaten naar 1.2.5, uitleg staat op de site

    Have fun
  • [quote:6f3c8423fe="lazybit"][quote:6f3c8423fe]mozilla-nspr = 1.0.0-9 is needed by mozilla-1.0.0-9[/quote:6f3c8423fe]
    Installeer die RPM eerst.
    Verder hebben Galeon en Nautilus bepaalde RPMs nodig die je nu wilt vervangen.
    Je kunt met –nodeps proberen of eerst Galeon en Nautilus updaten.[/quote:6f3c8423fe]
    Waarom zo omslachtig? Mozilla staat gewoon op de SuSE 8.0 DVD/CDROM en kan worden geïnstalleerd met Yast2.
    Weliswaar is dat versie 0,98 maar die kan daarna nog wel worden geupdate. :wink:
  • OK hartsikke bedankt en ik zal moregen Mozilla proberen te compilen. De RPM was idd voor RedHat.
    Ik heb idd al Mozilla maar wil hem nu dus updaten. Kan dat ook gewoon met een tarbal en adn compilen?
  • [quote:250bd7c854="Marcel de Reus"]OK hartsikke bedankt en ik zal moregen Mozilla proberen te compilen. De RPM was idd voor RedHat.
    Ik heb idd al Mozilla maar wil hem nu dus updaten. Kan dat ook gewoon met een tarbal en adn compilen?[/quote:250bd7c854] De tar.gz bestand is voor jouw waarschijnlijk het makkelijkste, maar is wel 40 MB groot.
    En kan worden uitgepakt met
    tar xvzf
    De nodige readme’s worden bijgeleverd. Als het compilen niet lukt is dat meestal omdat er dan benodigde tools en/of libraries nog niet geïnstalleerd zijn. Maar die staan dan op de SuSE DVD/CDROM’s.
    Installeren of updaten kan inderdaad ook met een tarbal.

    Ik heb dit onlangs nog getest met SuSE 8.0. De Nvidia drivers + glx tar.gz source gecompiled.
    De drivers werkte wel. Behalve de tv-out. (maar die werkte ook niet goed met de rpm drivers.)
    Bij Slackware en Redhat had ik meer succes met compilen van de Nvidia drivers + glx. (tv-out werken bij die twee distro’s wel.) :wink:
  • De tarbal die het volgens mij moet zijn is maar 12MB?
    Is dit de goede: http://ftp.mozilla.org/pub/mozilla/releases/mozilla1.0/mozilla-i686-pc-linux-gnu-1.0-sea.tar.gz
    ??

    En in welke directory moet ik compilen als ik het bestand untart en gunzipped heb?
    Maak dat niet uit of moet en akn dat gewoon in mijn home of moet ie ergens heen?
  • [quote:f56c16c39a="Marcel de Reus"]De tarbal die het volgens mij moet zijn is maar 12MB?
    Is dit de goede: http://ftp.mozilla.org/pub/mozilla/releases/mozilla1.0/mozilla-i686-pc-linux-gnu-1.0-sea.tar.gz
    ??

    En in welke directory moet ik compilen als ik het bestand untart en gunzipped heb?
    Maak dat niet uit of moet en akn dat gewoon in mijn home of moet ie ergens heen?[/quote:f56c16c39a]

    Hm, Mozilla van http://ftp.mozilla.org/pub/mozilla/releases/mozilla1.0/mozilla-i686-pc-linux-gnu-1.0-sea.tar.gz is geen source code. :roll:
    Ik heb 'm toch maar even gedownload. Het is een gewone binary versie.
    De README is verwarend. Deze heeft een installer file.
    Maar ik heb 'm toch maar even geinstalleerd.
    Als je grafisch inlogt, log dan in als root zodat je KDE Desktop rood wordt. Nadat je met tar xvzf mozilla* de tarbal hebt uitgepakt. Komt er in die map met de naam mozilla-installer. Klik er op. Klik dan op het bestand met de naam mozilla-installer waarna een installatie procedure wordt gestart. De default installeer map is /usr/local/mozilla
    Als je Mozilla 0.98 nog geinstalleerd hebt, staat die in /opt/mozilla
    Die kun je ofwel laten staan of verwijderen met Kpackage. Nadat de installatie voltooit is, en je uiteraart uitlogt en inlogt als gewone gebruiker, kun je een koppeling naar applicatie maken op de Desktop.
    Met bladeren ga je naar /usr/local/mozilla en selecteerd mozilla. En als naam vul je uiteraard in Mozilla. Bij mij is het installeren van Mozilla 1.0 in ieder geval gelukt. :D

    Als je wilt copileren dan kun je beter die mozilla van http://www.mozilla.org/download-mozilla.html downloaden.
    In welke map maakt niet zoveel uit, zolang je de mappen struktuur overzichtelijk houd. :)
    (deze heb ik niet getest)
  • Ik heb nu mozilla 1.0 geinstalleerd maar ik kan 0.98 niet verwijderen via kpackage omdat hij dit zegt:
    [quote:6f24757edb]rpm -e mozilla;echo RESULT=$?
    error: removing these packages would break dependencies:
    mozilla = 0.9.8 is needed by galeon-1.0.3-77
    mozilla = 0.9.8 is needed by nautilus-1.0.6-144
    libgtkembedmoz.so is needed by galeon-1.0.3-77
    libgtkembedmoz.so is needed by nautilus-1.0.6-144
    libgtksuperwin.so is needed by galeon-1.0.3-77
    libgtksuperwin.so is needed by nautilus-1.0.6-144
    libnspr4.so is needed by galeon-1.0.3-77
    libnspr4.so is needed by nautilus-1.0.6-144
    libplc4.so is needed by galeon-1.0.3-77
    libplc4.so is needed by nautilus-1.0.6-144
    libplds4.so is needed by galeon-1.0.3-77
    libplds4.so is needed by nautilus-1.0.6-144
    libxpcom.so is needed by galeon-1.0.3-77
    libxpcom.so is needed by nautilus-1.0.6-144
    RESULT=1[/quote:6f24757edb]

    Nu krijg ik dus als ik met alt + F2 mozilla intyp nog steeds 0.98 (ik werk niet met shortcuts).
    Bovendien wil ik de oude graag verwijderen. Hoe los ik dit op?
  • Wat al door LazyBit werd aangegeven: Galeon en Nautilus updaten. Zelfs al zijn het de zelfde rpm's, waarschijnlijk zijn dan de nieuwste files van Mozilla de dependencies voor Galeon en Nautilus. Als dat goed gaat kun je de oude verwijderen.
  • Kan ik niet gewoon Nautilus en Galeon ereaf flikkeren?
    Lijkt mij veel praktischer. ik gebruik ze toch niet.
  • Ik heb ze alle 3 verwijdert, ging prima.
    Ik heb echter nog 1 probleempje. Als ik alt + F2 mozilla doe gebeurt er niets.
    Logisch want er is geen shellscript in de /usr/local/bin/ directory
    Ik wil daar dus een script hebben die door verwijst naar de mozilla opstart file, maar awt moet er in zo'n script staan?
  • [quote:1127279ea7="Marcel de Reus"]Ik heb ze alle 3 verwijdert, ging prima.
    Ik heb echter nog 1 probleempje. Als ik alt + F2 mozilla doe gebeurt er niets.
    Logisch want er is geen shellscript in de /usr/local/bin/ directory
    Ik wil daar dus een script hebben die door verwijst naar de mozilla opstart file, maar awt moet er in zo'n script staan?[/quote:1127279ea7] Marcel, ik ben uren bezig geweest om er voor te kunnen zorgen dat je met Alt+F2 mozilla :roll: Mozilla 1.0 kunt opstarten. Een echte goede oplossing heb ik niet kunnen vinden. Maar ik weet wel waar het script om Mozilla 1.0 op te starten moet staan. Namelijk in /usr/X11R6/bin
    Daar staat normaal het script voor Mozilla 0.98
    De enigste manier die ik weet om Mozilla 1.0 op te kunnen starten met Alt+F2 mozilla is door Mozilla 0.98 opnieuw te installeren. Mozilla 1.0 blijft dan in /usr/local/mozilla
    Op regel 67 van script mozilla in de map /usr/X11R6/bin staat
    [code:1:1127279ea7]
    MOZ_DIST_BIN=/opt/mozilla
    [/code:1:1127279ea7]
    Die regel moet dan veranderd worden in
    [code:1:1127279ea7]
    MOZ_DIST_BIN=/usr/local/mozilla
    [/code:1:1127279ea7]
    Mozilla 0.98 mag dan niet verwijderd worden.
    Tja, een betere oplossing kon ik niet bedenken.
    Ik ben tenslotte geen script schrijver.

    :P
  • hmmm vervelend. moet toch makkelijker kunnen?
    Ik ga volgende week vrijdag 2 weken op vakantie en dan ga ik heel SuSE references lezen dus mischien dat daar een oplossing in staat.
    Ik ga BTW nog 1 keer een nieuwe instal doen die dan 1 a 2 jaar probleemloos moet blijven draaien.
    Ik wil namelijk een aparte /boot en /home partitie en ik ga Windows eraf halen (als Age of Epires onder Wine werkt) of als toch de game niet onder Wine werkt dan laat ik hem helemaal kaal en geript samen met de game op 1 partitie staan.
    Ik ga nog ff zoeken voor een oplossing maar het zal me wel niet lukken met mijn geringe Linux kennis :(
  • [quote:1d09fa71c6="Marcel de Reus"]hmmm vervelend. moet toch makkelijker kunnen? Ik ga volgende week vrijdag 2 weken op vakantie en dan ga ik heel SuSE references lezen dus mischien dat daar een oplossing in staat.
    [/quote:1d09fa71c6]Hoe bedoel je makkelijker? Er hoeft toch maar één regel in dat mozilla script te worden aangepast. De Mozilla 0.98 RPM van de SuSE cd-rom installeert automatisch een script in /usr/X11R6/bin
    Maar die Mozilla 1.0 tarbal installeert géén script in /usr/X11R6/bin
    Als je Mozilla 0.98 verwijderd wordt tevens de bijbehorende script verwijderd.

    Er staat in die SuSE References wel wat over scripts maar géén Mozilla scripts.
    Wat je wel zou kunnen lezen in die References is: Installing and Compiling Source Packages blz. 75 t/m 77. :wink:
  • Ja ok, maar dan moet ik eerst de oude weer terugzetten en die laten staan ed.
    Ik ga na mijn vakantie toch mijn definitieve install doen dus ik doe het maar ff via een shortcut

    er is overigens nu wel een SuSE rpm: ftp://ftp.suse.com/pub/projects/mozilla/1.0/8.0/
    blijft dat je volgens mij nog steeds ook nautilus en galeon moet updaten.
  • [quote:a2c4817c14="Marcel de Reus"]er is overigens nu wel een SuSE rpm: ftp://ftp.suse.com/pub/projects/mozilla/1.0/8.0/
    blijft dat je volgens mij nog steeds ook nautilus en galeon moet updaten.[/quote:a2c4817c14]
    Dat is mooi, maar dat eventueel Galeon en Nautilus ook geupdate moeten worden is toch niet zo erg. :roll:
    In ieder geval vind ik Galeon een goede browers. :)
  • Ik heb me nog niet zo verdiept in Galeon omdat mozilla me uitstekend bevalt :)
    Ik ga Galeon ook niet installeren bij mijn nieuwe installatie.
    Nautilus vanzelfsprekend wel want ik wil GNOME gaan gebruiken. Dat updaten zal wel automatisch gebeuren als ik naar GNOME2 update dus das ook mooi meegenomen.
  • [quote:092a6e6d36="Marcel de Reus"]Ik heb me nog niet zo verdiept in Galeon omdat mozilla me uitstekend bevalt :)
    Ik ga Galeon ook niet installeren bij mijn nieuwe installatie.
    Nautilus vanzelfsprekend wel want ik wil GNOME gaan gebruiken. Dat updaten zal wel automatisch gebeuren als ik naar GNOME2 update dus das ook mooi meegenomen.[/quote:092a6e6d36]
    Maar Galeon is een Gnome Browser gebaseerd op Mozilla, dus een goede reden om deze ook te installeren, of ieder geval te proberen. :)
    Hier is een screenshot van Galeon: http://perso.wanadoo.fr/linux_wizard/image/windowmaker.jpg

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.